org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryDiscardMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryDiscardMessage

All Implemented Interfaces:
  Serializable

    public class TcpDiscoveryDiscardMessage
    extends TcpDiscoveryAbstractMessage

Message sent by coordinator when some operation handling is over. All receiving nodes should discard this and all preceding messages in local buffers.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryDiscardMessage(UUID creatorNodeId, IgniteUuid msgId)` Constructor.

### Method Summary

Methods
`IgniteUuid` `msgId()` Gets message ID to discard (this and all preceding).
`String` `toString()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`client, client, creatorNodeId, equals, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryDiscardMessage

    public TcpDiscoveryDiscardMessage(UUID creatorNodeId,
                              IgniteUuid msgId)

Constructor.

Parameters:
  `creatorNodeId` - Creator node ID.
  `msgId` - Message ID.

### Method Detail

#### msgId

    public IgniteUuid msgId()

Gets message ID to discard (this and all preceding).

Returns:
  Message ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015